project(kdeaccessibility)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES} )

macro_optional_add_subdirectory(ColorSchemes)
macro_optional_add_subdirectory(IconThemes)
macro_optional_add_subdirectory(kmag)
macro_optional_add_subdirectory(kmouth)
macro_optional_add_subdirectory(kmousetool)
macro_optional_add_subdirectory(jovie)

macro_optional_add_subdirectory(doc)

macro_display_feature_log()
